---
title: Aidez-moi
template: docs
taxonomy:
    category: docs
routes:
  default: '/help-me'
---

Bien que les contributeurs de YunoHost essaient continuellement de l'améliorer, YunoHost ou sa documentation ne sont exempts de bugs ou d'erreurs. Pour nous aider à vous aider, vous devez cependant suivre ces instructions.

Le support n'est prodigué que sur [le forum](https://forum.yunohost.org?target=_blank) ou sur [nos salons de discussion](/chat_rooms?target=_blank). 
Nous sommes présents sur Mastodon, mais nous ne prodiguons pas d'aide sur cette plateforme.

Pour que nous puissions être en mesure de vous aider sur le forum, vous devez impérativement remplir le modèle de demande de support.

# À faire 

## Soyez courtois et patient

L'aide dans les salons de discussion ou sur le forum est apportée par nos utilisateurs et contributeurs, tous bénévoles. Que vous soyiez peut-être pressé, ou épuisé par des essais infructueux... Faites une pause, buvez une gorgée de votre boisson apaisante préférée, puis poursuivez votre lecture. Nous avons besoin de vous dans un bon état d'esprit pour vous aider.

## Expliquez le contexte
Votre demande doit être formulée de manière complète mais concise. Expliquez clairement ce que vous voulez obtenir et en quoi cela ne fonctionne pas pour vous.

## Montrez les erreurs et les journaux
Ceci est absolument primordial si YunoHost ou une commande échoue. YunoHost explique toujours pourquoi, que ce soit par un simple code d'erreur ou par un pavé de texte apparemment incompréhensible.

YunoHost fournit des boutons verts "Partager avec YunoPaste" lorsque quelque chose échoue ou dans la page Services de la webadmin. Cliquez dessus, ce qui ouvrira une nouvelle page web dont vous pourrez partager l'URL.

![YunoPaste button](image://yunopaste.png)

![YunoPaste from install error](image://yunopaste_install.mp4?loop=1&controls=0&autoplay=1&muted)
![YunoPaste from service](image://yunopaste_service.mp4?loop=1&controls=0&autoplay=1&muted)

Si votre problème n'est pas lié à un processus d'installation ou de mise à jour, mais plutôt à une application qui ne se charge pas correctement, vous pouvez déjà enquêter avec la console de votre navigateur (s'ouvrant avec la touche F12) : son onglet Réseau peut vous montrer les codes d'erreur HTTP (y compris les bien connus 403, 404, 500...), et sa Console peut également afficher des erreurs.

Les captures d'écran sont les bienvenues.

# À ne pas faire

## Évitez le [problème XY] (https://xyproblem.info/)
En résumé, expliquez la cause de votre problème. Vous pouvez faire part de votre tentative de solution, mais le *pourquoi* vous avez besoin de cette solution potentielle est le plus important.

## Ne soyez pas vague
Ne supposez pas que nous comprenons ce dont vous parlez, ne prenez pas de raccourcis, ne reformulez pas, ne simplifiez pas, n'éditorialisez pas les messages d'erreur.

N'écrivez pas "ça ne marche pas", "ça ne veut pas", "ça ne se charge pas", ou d'autres phrases vides de sens.

Expliquez ce qui ne va pas et comment cela apparaît à l'écran. Il y a, par exemple, une différence importante entre une page complètement blanche et une page blanche avec un code d'erreur, même minimaliste.

## Ne tournez pas autour du pot

Il n'est pas nécessaire de demander l'autorisation pour demander de l'aide. Il s'agit d'un chat/forum d'assistance, donc oui, vous pouvez poser votre question.

Ne posez pas votre question comme un sondage, comme dans "Est-ce que quelqu'un a réussi à faire fonctionner l'application XY ?" Si cela ne fonctionne pas pour vous, expliquez directement le problème que vous avez rencontré, expliquez le contexte, partagez les logs.

## Ne soyez pas un trou du cul
L'accès au forum ou aux salons de discussion est un privilège qui peut être révoqué.
